makeup|SDK makeup|SDK is a library based on visage|SDK face tracking used to configure and render virtual makeup.

Loading...
Searching...
No Matches
Instance Methods | Class Methods | Properties | List of all members
FilterQueueTemplate Class Reference

`#import <FeatureTemplate.h>`

Inherits NSObject.

## Instance Methods
(id) | - init
(NSMutableDictionary *) | - ToJSON

## Class Methods
(FilterQueueTemplate *) | + FromJSON:

## Properties
NSString * | blend
NSString * | origin
NSMutableArray< FilterTemplate * > * | preprocess
NSMutableArray< FilterTemplate * > * | postprocess
Boolean | switchLayers

## Detailed Description

Contains information defining a single step in the rendering pipeline of each makeup feature element. Single step of the rendering pipeline consists of a blend mode, an optional lists of preprocessing and an optional list of postprocessing filters. The engine supports the following blend modes:

- Overlay: performs overlay blend mode
- AlphaBlendUseMaskAlpha: performs traditional transparency blending using binary mask as alpha channel
- Screen: performs screen blend mode

Each blend is performed between the output of the preprocessing stack and the output of the previous blend or previous postprocessing stack. Used blend mode is specified via name member. Specifically, the initial blend is performed between colored a mesh representing queried makeup feature and the first preprocessing stack. Preprocessing filters are applied in sequence starting from raw camera feed. Postprocessing filters are applied in sequence starting from the output of blending. Provides methods for serialization and deserialization of FilterQueueTemplate instances from JSON format.

## Method Documentation

## ◆ FromJSON:

+ (FilterQueueTemplate *) FromJSON: |  | (NSDictionary *) | jsonDictionary |

Returns FilterQueueTemplate object out of JSON dictionary

Parameters

  jsonDictionary | JSON dictionary

Returns
  deserialized FilterQueueTemplate object

## ◆ init

- (id) init |  |  |

Initializes new FilterQueueTemplate object.

## ◆ ToJSON

- (NSMutableDictionary *) ToJSON |  |  |

Returns JSON dictionary out of this FilterQueueTemplate object

Returns
  JSON representation of this FilterQueueTemplate returned NSMutableDictionary

## Property Documentation

## ◆ blend

- (NSString*) blend
| read write nonatomic strong

Name of the used blend mode.

## ◆ origin

- (NSString*) origin
| read write nonatomic strong

The input image for this filter queue. The following values are supported:

- video: the input image into this filter queue is the input image provided to the engine by the API consumer.
- previous: the input image into this filter queue is the output image of the previous element in the pipeline

The default value for origin is video.

## ◆ postprocess

- (NSMutableArray<FilterTemplate*>*) postprocess
| read write nonatomic strong

List of postprocessing filters to apply.

## ◆ preprocess

- (NSMutableArray<FilterTemplate*>*) preprocess
| read write nonatomic strong

List of preprocessing filters to apply.

## ◆ switchLayers

- (Boolean) switchLayers
| read write nonatomic assign

If set to true the output of preprocess is used as a top layer, otherwise output from previous blend is used as a top layer for blending.